Subject: Re: cygwin1.dll
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Wed, 21 Feb 2001 15:51:34 -0800

On 21 Feb 2001, at 14:27, the Illustrious [email-masked] wrote:

> 
> Hi again,
> 
> I didn't know you could have symlinks on a PC.

	You can't, not on Win9x/Me.  WinNT4 is a different story.
> 
> The file was hidden as in:  my folder options were set to hide
> all system files, so I couldn't see the file and neither could
> the finder.  My program (which should have read the file either
> way) is still not finding cygwin1.dll, but at least now I know
> that it is a problem with the .exe file, and not your
> installation kit.

	You might want to find your windows explorer (might be on your 
start menu somewhere, if not, you'll likely find executable 
under Windows\system) and open it.
	There are menu bar options there to allow you to see everything 
if you want to, including .dlls; which are also considered 
"hidden" under default Win9x/ME Explorer settings (not Internet 
Explorer, or IE, but Windows Explorer) which automatically 
disable postfixes which designate things like executables (.exe) 
and Dynamically Linked Library (.dll) files.  Cygwin1.dll is a 
".dll" file.

	Peace,

		Paul G.
> 
> Thanks.
> Kirran
> 
> 
> 
> 
> 
>                     Earnie Boyd                               
>                     <earnie_boyd@        To:    
>                     [email-masked]                       
>                             yahoo.com>           cc:     Earnie
>                     Boyd <[email-masked]>                     
>                               
>                                 Subject:     Re: cygwin1.dll     
>                                                           
>                     02/21/01                                01:52
>                     PM                                Please     
>                                               respond to         
>                                           Earnie Boyd            
>                                        
> 
> 
> 
> 
> 
> [email-masked] wrote:
> >
> > Earnie,
> >
> > You're right - the setup log says that the file was installed
> > right in
> the
> > bin folder.  The file is there but just hidden.
> >
> 
> Hidden?  What do you mean hidden?  Do you have symlinks for /bin
> or /usr/bin?  If you do have symlinks these are known not to work
> with setup.exe which is by the way a non-Cygwin executable so it
> 1) doesn't understand symlinks and 2) doesn't know about the
> Cygwin registry wrt actually using it to find files are
> concerned.
> 
> Earnie.
> 
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> 
> 
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple